For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETList environment variables
          • POSTCreate environment variable
          • GETGet environment variable
          • PATCHUpdate environment variable
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceEnvironment Variables

Get environment variable

GET
/v1/convai/environment-variables/:env_var_id
GET
/v1/convai/environment-variables/:env_var_id
$curl https://api.elevenlabs.io/v1/convai/environment-variables/env_var_id \
> -H "Content-Type: application/json"
1{
2 "label": "DATABASE_URL",
3 "created_at_unix_secs": 1685000000,
4 "updated_at_unix_secs": 1687600000,
5 "type": "secret",
6 "id": "envvar_1234567890abcdef",
7 "workspace_id": "workspace_abcdef1234567890",
8 "values": {
9 "connection_string": {
10 "secret_id": "secret_9876543210fedcba"
11 }
12 },
13 "created_by_user_id": "user_9f8e7d6c5b4a3"
14}
Get a specific environment variable by ID
Was this page helpful?
Previous

Update environment variable

Next
Built with

Path parameters

env_var_idstringRequired

Headers

xi-api-keystringOptional

Response

Successful Response
labelstring
created_at_unix_secsinteger
updated_at_unix_secsinteger
typeenum
Allowed values:
idstring
workspace_idstring
valuesmap from strings to strings or map from strings to objects
created_by_user_idstring

Errors

404
Environment Variables Get Request Not Found Error
422
Environment Variables Get Request Unprocessable Entity Error